# Cancel a running aggregate query job Cancels the current AQuA job, only if the job is not complete. If the job is complete, an error is thrown. Endpoint: DELETE /v1/batch-query/jobs/{jobid} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `jobid` (string, required) Internal identifier of the query job. ## Response 200 fields (application/json): - `batches` (array) A JSON array object that contains a list of batch objects. - `batches.batchId` (string) A 32-character ID of the query batch. - `batches.batchType` (string) The kind of batch job being submitted. Enum: "zoql", "zoqlexport" - `batches.fileId` (string) The ID of the query results file. Use Get Results Files to download the query results file. The query results file is formatted as requested in the batch job. Supported formats are CSV, GZIP, and ZIP. - `batches.message` (string) The error message. - `batches.name` (string) Name of the query supplied in the request. - `batches.query` (string) The requested query string. - `batches.recordCount` (string) The number of records included in the query output file. - `batches.segments` (array) Array of IDs of query results files. Replaces fileId for full data loads in stateful mode if File Segmentation is enabled. Use Get Results Files to download each query results file. Each query results file contains at most 500,000 records and is formatted as requested in the batch job. Supported formats are CSV, GZIP, and ZIP. - `batches.status` (string) The status of the query task: - submitted: The query was submitted to the query executor for processing. - pending: The query was waiting for being processed. - executing: The query is being processed. - completed: The query was successfully executed. - aborted: The query execution failed. - deleted_notallowed: The query execution failed because objects included in the query do not support the querying of deleted records. Enum: "submitted", "pending", "executing", "completed", "aborted", "deleted_notallowed" - `format` (string) The format of the query. The default value is csv. Enum: "csv", "zip", "gzip" - `id` (string) The job ID created for the AQuA API request. The job ID can be used for querying for the query status. The ID exists only if the JSON request can be parsed and validated successfully. Otherwise, the job ID is null. - `name` (string) The name of the job. 32 character limit. - `sourceData` (string) Indicates the source this aggregate query runs against: * LIVE represents the live transactional databases at Zuora (Data Query Live). * WAREHOUSE represents Zuora Warehouse, which has better performance and fewer limitations than the live transactional database. For more information, see Zuora Warehouse. - `status` (string) The status of the AQuA job: - submitted: The AQuA job was submitted to the query executor for processing. - executing: The AQuA job is being processed. - completed: The AQuA job was successfully executed. - error: The AQuA job was not processed because of validation errors. - aborted: The AQuA job execution failed because one or more queries of this job failed. - cancelled: The AQuA job was cancelled. Enum: "submitted", "executing", "completed", "error", "aborted", "cancelled" - `version` (number) The API version you want to use. The supported versions are as follows: - 1.1. It supports both modes - 1.0. Default. It supports stateless modes only. See Stateless and stateful modes for more information.